using System;

internal sealed class Delegate98 : MulticastDelegate
{
	public extern long Invoke(string string_0);

	public static long smethod_0(string string_0, Delegate98 delegate98_1)
	{
		return delegate98_1(string_0);
	}

	public extern Delegate98(object object_0, IntPtr intptr_0);

	static Delegate98()
	{
		Class10.smethod_13(typeof(Delegate98).TypeHandle);
	}

	internal static Delegate98 delegate98_0;
}
